<?php

//
// Copyright (C) 2013, 2014 FromDual GmbH
//
// This program is commercial software. Use of this software is governed
// by your applicable license agreement with FromDual GmbH
//

// print "<pre>"; print_r($_REQUEST); print "</pre>";

list($rc, $dbh) = openRepositoryDatabase();
list($rc, $aNode) = getDatabaseNodeById($dbh, $hNodeId);

// Get information from repository.checks not from life system!
// This is because if a systems hangs it can take ages until
// we can start operations

list($ret, $aChecks) = getAllDatabaseChecks($dbh, $hNodeId);
// print "<pre>"; print_r($aChecks); print "</pre>";

$lDatabase = 'unknown';
$lReadOnly = 'unknown';
if ( isset($aChecks['database_connect']['last_check_status']) ) {

	if ( $aChecks['database_connect']['last_check_status'] == 'OK' ) {

		$lDatabase = 'started';

		list($ret, $mysqli) = openDatabaseConnection($aNode['database_user'], $aNode['database_user_password'], $aNode['hostname'], $aNode['port']);
		if ( $ret == 0 ) {
			list($ret, $msg) = checkDatabaseReadOnly($mysqli, $aNode);
			// var_dump($ret, $msg);
			if ( $ret == 0 ) {
				$lReadOnly = $msg;
			}
			closeDatabaseConnection($mysqli);
		}
	}
	else {
		$lDatabase = 'stopped';
	}
}

closeRepositoryDatabase($dbh);

// print "<pre>"; print_r($aNode); print "</pre>";

?>

<h2><?php print $gMenuStructure['database']['submenu']['operations']['title'] . ' for database ' . $aNode['name']; ?></h2>

<p>Start/stop: <?php print $lDatabase; ?><br />
Read_only: <?php print $lReadOnly; ?></p>


<p align="center">
<input type="button" value="Start database" onclick="location.href='index.php?f=start&amp;o=node&amp;node_id=<?php print $hNodeId; ?>';" />
<input type="button" value="Stop database" onclick="location.href='index.php?f=stop&amp;o=node&amp;node_id=<?php print $hNodeId; ?>';" />
<input type="button" value="Make read-only" onclick="location.href='index.php?f=make&amp;o=node&amp;t=read-only&amp;node_id=<?php print $hNodeId; ?>';" />
<input type="button" value="Make read-write" onclick="location.href='index.php?f=make&amp;o=node&amp;t=read-write&amp;node_id=<?php print $hNodeId; ?>';" />
<input type="button" value="Backup database" disabled="disabled" onclick="location.href='index.php?f=backup&amp;o=node&amp;node_id=<?php print $hNodeId; ?>';" />
</p>
