<?php

//
// Copyright (C) 2013, 2014 FromDual GmbH
//
// This program is commercial software. Use of this software is governed
// by your applicable license agreement with FromDual GmbH
//

// print "<pre>"; print_r($aVip); print "</pre>";

require_once("lib/Vip.inc");
require_once("lib/Ssh.inc");

?><h1>Stop VIP <?php print $aVip['ip_address']; ?></h1><?php

// Check if VIP is started
list($ret, $msg) = checkPing($aVip['ip_address']);

// VIP is already stopped
if ( $ret != OK ) {
  $rc = 762;
  print "<p>VIP is already stopped (rc=$rc).</p>\n";
}
// VIP is started
else {

  list($ret, $msg) = stopVip($aVip);
}

// No error happened during failover
if ( $ret == OK ) {
  print "<p>VIP stopped succsessfully.</p>\n";
}

?><input type="button" value="Continue" onclick="window.location='index.php?f=show&amp;o=vip&amp;s=operations&amp;vip_id=<?php print $aVip['vip_id']; ?>';" />
