<?php

//
// Copyright (C) 2013, 2014 FromDual GmbH
//
// This program is commercial software. Use of this software is governed
// by your applicable license agreement with FromDual GmbH
//

require_once("lib/Ssh.inc");
require_once("lib/System.inc");

?>

<h1>Create a ssh public key</h1>

<?php

if ( $hFunction == 'create' ) {

  // todo: master is hard coded!!!
  list($ret, $msg) = createPublicKey('root', 'master');
  if ( $ret == 0 ) {
    print "Ssh key generated.<br />\n";
    print "<a href='index.php'>Continue</a>...<br />\n";
  }
  else {
    $rc = 799;
    print "<p>ERROR: $msg (rc=$rc)</p>\n";
    print "<p>Please create directory manually as follows:</p>\n";

    $whoami = whoami();
    $home = getHomeDir($whoami);
    $lSshDir = $home . '/.ssh';
    ?>
    <pre>sudo su -
mkdir $lSshDir
chown <?php print $whoami; ?>: $lSshDir
</pre>
    <p>And try again.</p>
    <p><input type='button' value='Back' onclick='window.history.back();'></p>
		<?php
  }
}
// ---------------------------------------------------------------------
else
// ---------------------------------------------------------------------
{
  $rc = 693;
	logMessage(LOG_ERR,"Function $hFunction is not implemented (rc=$rc).");
}

?>
