<?php

//
// Copyright (C) 2013, 2014 FromDual GmbH
//
// This program is commercial software. Use of this software is governed
// by your applicable license agreement with FromDual GmbH
//

// print "<pre>"; print_r($_REQUEST); print "</pre>";

$hClusterId = isset($_REQUEST['cluster_id']) ? intval($_REQUEST['cluster_id']) : 0;
$hNodeId    = isset($_REQUEST['node_id']) ? intval($_REQUEST['node_id']) : 0;

list($rc, $dbh) = openRepositoryDatabase();
list ($rc, $aNode) = getDatabaseNodeById($dbh, $hNodeId);
closeRepositoryDatabase($dbh);

// print "<pre>"; print_r($aNode); print "</pre>";

?>
<h1>Delete node <?php print $aNode['name']; ?> from Replication</h1>
<?php

if ( $aNode['cluster_id'] == $hClusterId ) {

  $aNode['cluster_id'] = 0;
  $aNode['role'] = 0;
  list($rc, $cnt) = setDatabaseNode($dbh, $aNode);

  if ( $rc == 0 ) {
    print "<p>Node " . $aNode['name'] . " deleted from Replication.</p>\n";
  }
  else {
    print "<p>Error deleting node from Replication (rc=$rc).</p>\n";
  }
}
else {
  ?>
  <p>Node does NOT belong to Replication.</p>
  <?php
}

$url = "index.php?o=replication&amp;f=show&amp;s=configuration&amp;cluster_id=" . $hClusterId;
?>
<p><input type="button" value="Continue" onclick="location.href='<?php print $url; ?>'" /></p>
