<?php

//
// Copyright (C) 2013, 2014 FromDual GmbH
//
// This program is commercial software. Use of this software is governed
// by your applicable license agreement with FromDual GmbH
//

logMessage(LOG_NOTICE, 'Begin page: ' . basename(__FILE__));

$hVipId = isset($_REQUEST['vip_id']) ? intval($_REQUEST['vip_id']) : 0;

// list($rc, $dbh) = openRepositoryDatabase();

list($ret, $aVips) = getVipsWithFilter($dbh, array('vip_id' => $hVipId));
$aVip = array_pop($aVips);
list($rc, $aServers) = getAllServers($dbh);

?><h2>Operations <?php print $aVip['ip_address']; ?></h2><?php

// print "<pre>"; print_r($aVips); print "</pre>";

?>
<table border="" cellpadding="3" cellspacing="0">
	<tr>
		<th>IP address</th>
		<th>interface</th>
		<th>type</th>
		<th>status</th>
		<th>primary</th>
		<th>failover</th>
		<th>location</th>
		<th></th>
	</tr>
	<?php

		print "<tr>\n";
	print "  <td>" . $aVip['ip_address'] . "</td>";
	print "  <td>" . $aVip['interface'] . ':' . $aVip['alias'] . "</td>";
	if ( $aVip['ipaddr_type'] == 1 ) {
		print "  <td>old</td>";
	}
	else {
		print "  <td>new</td>";
	}

	list($ret, $msg) = checkPing($aVip['ip_address']);
	if ( $ret == 0 ) {
		$lVipStatus = 'UP';
		print "  <td><span style='color:green;'><strong>"  .$lVipStatus . "</strong></span></td>";
	}
	else {
		$lVipStatus = 'DOWN';
		print "  <td><span style='color:red;'><strong>"  .$lVipStatus . "</strong></span></td>";
	}
	print "  <td>" . $aServers[$aVip['primary_id']]['name'] . "</td>";

  if ( $aVip['failover_id'] == 0 ) {
    $server = 'none'; 
  }
  else {
		$server = $aServers[$aVip['failover_id']]['name'];
  }
  ?><td><?php print $server; ?></td><?php

	print "  <td>" . $aServers[$aVip['location_id']]['name'] . "</td>";

	print "  <td>\n";

	// stop VIP

	$js = 'location.href="index.php?f=stop&amp;o=vip&amp;vip_id=' . $aVip['vip_id'] . '";';
	$disabled = '';
	if ( $lVipStatus == 'DOWN' ) {
		$disabled = ' disabled="disabled"';
	}
	print "<input type='button' value='Stop VIP'" . $disabled . " onClick='$js' />\n";

	// edit VIP
	// In case there is an IP outside of our access we have to
	// delete the VIP again. Thus never disable this button!

	$js = "location.href='index.php?f=edit&amp;o=vip&amp;vip_id=" . $aVip['vip_id'] . "';";
	?><input type="button" value="Edit VIP" onClick="<?php print $js; ?>" /><?php

	// start VIP

	$js = 'location.href="index.php?f=start&amp;o=vip&amp;vip_id=' . $aVip['vip_id'] . '";';
	$disabled = '';
	if ( $lVipStatus == 'UP' ) {
		$disabled = ' disabled="disabled"';
	}
	print "<input type='button' value='Start VIP' " . $disabled . " onClick='$js' />\n";

	// failover VIP

	$js = 'location.href="index.php?f=failover&amp;o=vip&amp;vip_id=' . $aVip['vip_id'] . '";';
	print "<input type='button' value='Failover VIP' onClick='$js' />\n";
	print "</td>";
	print "</tr>\n";
	?>
</table>
